'CSC 230 demo program 
'show two groups of radio buttons, each group in a group box
'radiobuttons have "at most one" logic built in
'display an image in a picturebox based on the combined decisions 

Imports System.IO


Public Class FrmRadioButtonDemo
    Dim ProgramPath As String
    Dim ColorName As String = ""
    Dim ShapeName As String = ""


    '*************************************************************************
    'determine which color and shape user selescted and 
    'display corresoponding image 
    'display error message if one or the other is not shown
    Private Sub btnMakeShape_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnMakeShape.Click


        If ColorName = "" Then
            MsgBox("Please select a color.")
            Exit Sub
        End If


        If ShapeName = "" Then
            MsgBox("Please select a shape.")
            Exit Sub
        End If

        picShape.Image = Image.FromFile(ProgramPath & ColorName & ShapeName & ".gif")

    End Sub

    '**************************************************************************
    'get path of debug folder in bin in project folder
    Private Sub FrmRadioButtonDemo_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ProgramPath = Directory.GetCurrentDirectory & "\"
    End Sub

    '*************************************************************************
    'clears out image if user changes color choice 
    'note handles multiple events (scroll over) -->  
    Private Sub radColor1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radColor1.CheckedChanged, radColor2.CheckedChanged, radColor3.CheckedChanged, radColor4.CheckedChanged, radColor5.CheckedChanged, radColor6.CheckedChanged
        picShape.Image = Nothing
    End Sub

    '*************************************************************************
    'clears out image if user changes shape choice 
    'note handles multiple events (scroll over) -->  
    Private Sub radShape1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radShape1.CheckedChanged, radShape2.CheckedChanged
        picShape.Image = Nothing
    End Sub

    '*************************************************************************
    'Loop through radiobuttons, unchecking them all 
    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        Dim MyRadioButton As RadioButton
        picShape.Image = Nothing

        For Each MyRadioButton In grbColor.Controls
            MyRadioButton.Checked = False
        Next

        For Each MyRadioButton In grbShape.Controls
            MyRadioButton.Checked = False
        Next

    End Sub

    '************************************************************************
    '   NEW    NEW    NEW !!!!!!!!!!!!!!!!!
    'get color on radio button click event 
    'this method handles the events associated with all color radiobuttons 
    '  scroll over -->  --> 
    '(be careful of checkchanged event -- sometimes one click leads to 
    ' two checkedchanged -- one radio button was checked and has become 
    ' unchecked, another was unchecked and has become checked)
    ' so I like to use the click event
    Private Sub radColor1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles radColor1.Click, radColor2.Click, radColor3.Click, radColor4.Click, radColor5.Click, radColor6.Click
        ColorName = sender.Text
    End Sub


    '************************************************************************\
    'get shape name on radiobutton click event
    Private Sub radShape1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles radShape1.Click, radShape2.Click
        ShapeName = sender.text
    End Sub
End Class
